Bug 444186 - [RFE] Provide a unified download url for Channel Dump Isos
[RFE] Provide a unified download url for Channel Dump Isos
Status: CLOSED WONTFIX
Product: Red Hat Network
Classification: Red Hat
Component: RHN/Other (Show other bugs)
rhn500
All Linux
low Severity low
: ---
: ---
Assigned To: rhn-dev-list
Red Hat Network Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-04-25 14:34 EDT by Pradeep Kilambi
Modified: 2011-05-11 15:40 EDT (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-05-11 15:40:30 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Pradeep Kilambi 2008-04-25 14:34:40 EDT
Description of problem:

Even though we have a good structure in place for Channel dump Isos on RHN
Hosted. Many customer are having issues downloading 30ish isos manually.

What would be useful is to provide a single "Batch Download" link to the 

https://rhn.redhat.com/rhn/software/channel/downloads/Download.do?cid=cid

per channel dump. For Example:

(+) View Base Channel Content ISOs for Satellite
   (+)RHEL 4 AS/ES/WS/Desktop(amd64)+rhn-tools(2008-04-10) - Batch Download
   (+) RHEL 4 AS/ES/WS/Desktop(i386)+rhn-tools(2008-04-12) - Batch Download 

This should get em all the isos under that tree so they jus copy the batch url
and wget and should give them all 30 Isos in one command.

This would make it easy for them to automate the channel dump process to a large
extent.
Comment 1 Chris Noffsinger 2010-10-25 09:37:00 EDT
I have had customers request being able to wget isos from commandline by copying and pasting the url from another PC.  

This used to work before our recent updates to RHN security.

Present method is very tedious:

Connect to RHN and login

Click on Software Download and choose a channel

Right click on iso image file link and copy its URL

Copied URL:
    https://content-web.rhn.redhat.com/rhn/isos/RHEL-5.5/rhel-x86_64-server-5/rhel-server-5.5-x86_64-dvd.iso?__gda__=1271115952_ea1763d3e016c29f9e3b69d31ecb80ff&ext=.iso
 
Then insert a backslash "\" before "?" and "&" in the URL link
       Modified URL:
    https://content-web.rhn.redhat.com/rhn/isos/RHEL-5.5/rhel-x86_64-server-5/rhel-server-5.5-x86_64-dvd.iso\?__gda__=1271115952_ea1763d3e016c29f9e3b69d31ecb80ff\&ext=.iso

used the modified URL for wget with -c (continue) option - URL link should be fresh copied from the download page on the RHN.
 
  $ wget -c https://content-web.rhn.redhat.com/rhn/isos/RHEL-5.5/rhel-x86_64-server-5/rhel-server-5.5-x86_64-dvd.iso\?__gda__=1271115952_ea1763d3e016c29f9e3b69d31ecb80ff\&ext=.iso

or using curl as below.

  $ curl -C - -o ./rhel-server-6.6-x86_64-dvd.iso https://content-web.rhn.redhat.com/rhn/isos/RHEL-5.5/rhel-x86_64-server-5/rhel-server-5.5-x86_64-dvd.iso\?__gda__=1271115952_ea1763d3e016c29f9e3b69d31ecb80ff\&ext=.iso

I realize there needs to be some sort of security hand shake between the server and RHN but a less tedious way needs to be found.
Comment 5 Nicky 2011-05-11 13:52:13 EDT
For now, i have added a user story on the RHN backlog so this request is documented.  US9775.  Mike Amburn would be the correct person to address whether this could be added to the roadmap.  
thanks for the patience.
Comment 6 Mike Amburn 2011-05-11 15:40:30 EDT
Unfortunately, a static URL is not conducive to our content security strategy; I cannot conceive of a way to deliver this request.

Note You need to log in before you can comment on or make changes to this bug.